#include <stdio.h>
typedef struct{
    char ch;
        struct ste{
            int x;
            int y;
            int z;
        }st;
}STR;

int main(){

    STR m1;
    putchar('a'); //1
    m1.ch = 'A';
    putchar('g'); //2
    (&m1)->ch = 'B';
    putchar('z'); //3
    putchar('z'); //4
    
    
    STR* m2;
    putchar('a');//5
    m2->st.x = 'A';
    putchar('g'); //6
    (&(m2)->st)->x = 'B';
    putchar('z'); //7
    

}
